/home/travis/build/boostorg/boost/boost/geometry/algorithms/convex_hull.hpp File Reference

## Classes

struct | boost::geometry::resolve_strategy::convex_hull
struct | boost::geometry::resolve_strategy::convex_hull_insert
struct | boost::geometry::resolve_variant::convex_hull< Geometry >
struct | boost::geometry::resolve_variant::convex_hull< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::convex_hull< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< OutputGeometry, Strategy >
struct | boost::geometry::resolve_variant::convex_hull_insert< Geometry >
struct | boost::geometry::resolve_variant::convex_hull_insert< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::convex_hull_insert< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< OutputIterator, Strategy >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_strategy
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry , typename OutputGeometry , typename Strategy >
void | boost::geometry::convex_hull (Geometry const &geometry, OutputGeometry &out, Strategy const &strategy)
template<typename Geometry , typename OutputGeometry >
void | boost::geometry::convex_hull (Geometry const &geometry, OutputGeometry &hull)
| Calculates the convex hull of a geometry.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK